


<!DOCTYPE html PUBLIC "-//W3C//DTD XHTML 1.0 Transitional//EN"
  "http://www.w3.org/TR/xhtml1/DTD/xhtml1-transitional.dtd">
<html id="htmlId">
<head>
  <title>Coverage Report :: Project</title>
  <style type="text/css">
    @import "../../.css/coverage.css";
  </style>
</head>

<body>
<div class="header"></div>

<div class="content">
<div class="breadCrumbs">
    [ <a href="../../index.html">all classes</a> ]
    [ <a href="../index.html">com.dema.timeregistration.entity</a> ]
</div>

<h1>Coverage Summary for Class: Project (com.dema.timeregistration.entity)</h1>

<table class="coverageStats">
<tr>
  <th class="name">Class</th>
<th class="coverageStat 
">
  Class, %
</th>
<th class="coverageStat 
">
  Method, %
</th>
<th class="coverageStat 
">
  Line, %
</th>
</tr>
<tr>
  <td class="name">Project</td>
<td class="coverageStat">
  <span class="percent">
    100%
  </span>
  <span class="absValue">
    (1/ 1)
  </span>
</td>
<td class="coverageStat">
  <span class="percent">
    64.3%
  </span>
  <span class="absValue">
    (9/ 14)
  </span>
</td>
<td class="coverageStat">
  <span class="percent">
    73.3%
  </span>
  <span class="absValue">
    (22/ 30)
  </span>
</td>
</tr>

</table>

<br/>
<br/>


<div class="sourceCode"><i>1</i>&nbsp;package com.dema.timeregistration.entity;
<i>2</i>&nbsp;
<i>3</i>&nbsp;import com.dema.timeregistration.repository.jpa.InstantAttributeConverter;
<i>4</i>&nbsp;
<i>5</i>&nbsp;import javax.persistence.*;
<i>6</i>&nbsp;import java.time.Instant;
<i>7</i>&nbsp;import java.util.HashSet;
<i>8</i>&nbsp;import java.util.Set;
<i>9</i>&nbsp;
<i>10</i>&nbsp;@Entity
<i>11</i>&nbsp;@Table(uniqueConstraints = {@UniqueConstraint(columnNames = {&quot;name&quot;, &quot;company&quot;})})
<i>12</i>&nbsp;public class Project extends EntityWithId {
<i>13</i>&nbsp;    @Column(name = &quot;name&quot;)
<i>14</i>&nbsp;    private String name;
<i>15</i>&nbsp;
<i>16</i>&nbsp;    @JoinColumn(name = &quot;company&quot;, nullable = false)
<i>17</i>&nbsp;    @ManyToOne
<i>18</i>&nbsp;    private Company company;
<i>19</i>&nbsp;
<b class="fc"><i>20</i>&nbsp;    @OneToMany(cascade = CascadeType.ALL, mappedBy = &quot;project&quot;)</b>
<i>21</i>&nbsp;    private Set&lt;Task&gt; tasks = new HashSet&lt;&gt;();
<i>22</i>&nbsp;
<b class="fc"><i>23</i>&nbsp;    @OneToMany(cascade = CascadeType.ALL, mappedBy = &quot;project&quot;)</b>
<i>24</i>&nbsp;    private Set&lt;ProjectRole&gt; projectRoles = new HashSet&lt;&gt;();
<i>25</i>&nbsp;
<i>26</i>&nbsp;    @Convert(converter = InstantAttributeConverter.class)
<i>27</i>&nbsp;    private Instant dueDate;
<i>28</i>&nbsp;
<b class="fc"><i>29</i>&nbsp;    protected Project() {</b>
<b class="fc"><i>30</i>&nbsp;    }</b>
<i>31</i>&nbsp;
<i>32</i>&nbsp;    public int getId() {
<b class="fc"><i>33</i>&nbsp;        return id;</b>
<i>34</i>&nbsp;    }
<i>35</i>&nbsp;
<i>36</i>&nbsp;    public void setId(int id) {
<b class="nc"><i>37</i>&nbsp;        this.id = id;</b>
<b class="nc"><i>38</i>&nbsp;    }</b>
<i>39</i>&nbsp;
<i>40</i>&nbsp;    public String getName() {
<b class="fc"><i>41</i>&nbsp;        return name;</b>
<i>42</i>&nbsp;    }
<i>43</i>&nbsp;
<i>44</i>&nbsp;    public void setName(String name) {
<b class="fc"><i>45</i>&nbsp;        this.name = name;</b>
<b class="fc"><i>46</i>&nbsp;    }</b>
<i>47</i>&nbsp;
<i>48</i>&nbsp;    public Company getCompany() {
<b class="fc"><i>49</i>&nbsp;        return company;</b>
<i>50</i>&nbsp;    }
<i>51</i>&nbsp;
<i>52</i>&nbsp;    public void setCompany(Company company) {
<b class="fc"><i>53</i>&nbsp;        this.company = company;</b>
<b class="fc"><i>54</i>&nbsp;    }</b>
<i>55</i>&nbsp;
<i>56</i>&nbsp;    public Instant getDueDate() {
<b class="nc"><i>57</i>&nbsp;        return dueDate;</b>
<i>58</i>&nbsp;    }
<i>59</i>&nbsp;
<i>60</i>&nbsp;    public void setDueDate(Instant dueDate) {
<b class="fc"><i>61</i>&nbsp;        this.dueDate = dueDate;</b>
<b class="fc"><i>62</i>&nbsp;    }</b>
<i>63</i>&nbsp;
<i>64</i>&nbsp;    public Set&lt;Task&gt; getTasks() {
<b class="nc"><i>65</i>&nbsp;        return tasks;</b>
<i>66</i>&nbsp;    }
<i>67</i>&nbsp;
<i>68</i>&nbsp;    public void setTasks(Set&lt;Task&gt; tasks) {
<b class="nc"><i>69</i>&nbsp;        this.tasks = tasks;</b>
<b class="nc"><i>70</i>&nbsp;    }</b>
<i>71</i>&nbsp;
<i>72</i>&nbsp;    public Set&lt;ProjectRole&gt; getProjectRoles() {
<b class="fc"><i>73</i>&nbsp;        return projectRoles;</b>
<i>74</i>&nbsp;    }
<i>75</i>&nbsp;
<i>76</i>&nbsp;    public void setProjectRoles(Set&lt;ProjectRole&gt; projectRoles) {
<b class="nc"><i>77</i>&nbsp;        this.projectRoles = projectRoles;</b>
<b class="nc"><i>78</i>&nbsp;    }</b>
<i>79</i>&nbsp;
<i>80</i>&nbsp;    public static Project create(String name, Company company, Instant dueDate, User projectLeader) {
<b class="fc"><i>81</i>&nbsp;        Project project = new Project();</b>
<b class="fc"><i>82</i>&nbsp;        project.setName(name);</b>
<b class="fc"><i>83</i>&nbsp;        project.setCompany(company);</b>
<b class="fc"><i>84</i>&nbsp;        project.setDueDate(dueDate);</b>
<i>85</i>&nbsp;
<b class="fc"><i>86</i>&nbsp;        ProjectRole pr = ProjectRole.create(Role.PROJECT_LEADER, project, projectLeader);</b>
<b class="fc"><i>87</i>&nbsp;        projectLeader.getProjectRoles().add(pr);</b>
<b class="fc"><i>88</i>&nbsp;        project.getProjectRoles().add(pr);</b>
<b class="fc"><i>89</i>&nbsp;        return project;</b>
<i>90</i>&nbsp;    }
<i>91</i>&nbsp;}
</div>
</div>

<div class="footer">
    
    <div style="float:right;">generated on 2019-05-13 13:51</div>
</div>
</body>
</html>
